Get a reward
curl --request GET \
--url https://api.rigaly.com/api/v1/rewards/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rigaly.com/api/v1/rewards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rigaly.com/api/v1/rewards/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rigaly.com/api/v1/rewards/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"reward": {
"name": "Free Coffee",
"description": "<string>",
"points_cost": 500,
"active": true,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"time_active": {
"monday": {
"active": true,
"start": "09:00",
"end": "17:00"
},
"tuesday": {
"active": true,
"start": "09:00",
"end": "17:00"
}
},
"conditions": "<string>",
"cooldown_mode": "none",
"cooldown_count": 123,
"cooldown_amount": 123,
"cooldown_unit": "minute",
"absence_amount": 123,
"absence_unit": "minute",
"birthday": false,
"birthday_window_mode": "exact",
"birthday_days_before": 123,
"birthday_days_after": 123,
"tier_gate": {},
"tier_overrides": [
{}
],
"max_redemptions": 10,
"delivery_mode": "in_store",
"digital_asset_type": "code",
"digital_asset_source": "static",
"digital_asset_value": "SUMMER24",
"digital_webhook_url": "https://api.example.com/rigaly/provision",
"digital_email_delivery": false,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "standard",
"image_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"redemptions_count": 7,
"redemptions_remaining": 3,
"deactivated_by_limit": false,
"deactivated_by_pool": false,
"pool_remaining": 4863,
"digital_webhook_secret": "b3f1c0a9d4e2…"
}
}
}{
"success": false,
"error": {
"message": "Reward not found"
}
}Rewards
Get a reward
GET
/
api
/
v1
/
rewards
/
{id}
Get a reward
